API reference
Create store
Create a new store
POST
/v1/storesCreate a new store
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/stores" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": null, "description": null, "domain": null, "logo": null }'{ "id": "string", "name": "string", "slug": null, "domain": null, "logo": null, "icon": null, "organizationId": "string", "storeType": "b2C", "status": "active", "provisioningStatus": "provisioning", "createdOn": null, "updatedOn": null}